commit:     9db2ef6f8d5226898586b31ea23e58c58d682a3e
Author:     Amy Liffey <amynka <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  3 13:21:54 2018 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Fri Aug  3 13:32:11 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9db2ef6f

sci-libs/libgeotiff: remove not needed ewarn message

- EAPI 6 bump
- remove eutils
- Remove not needed ewarn messages
- Add missing dies

Closes: https://bugs.gentoo.org/546618
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 ...iff-1.4.1.ebuild => libgeotiff-1.4.1-r1.ebuild} | 25 +++++++---------------
 1 file changed, 8 insertions(+), 17 deletions(-)

diff --git a/sci-libs/libgeotiff/libgeotiff-1.4.1.ebuild 
b/sci-libs/libgeotiff/libgeotiff-1.4.1-r1.ebuild
similarity index 70%
rename from sci-libs/libgeotiff/libgeotiff-1.4.1.ebuild
rename to sci-libs/libgeotiff/libgeotiff-1.4.1-r1.ebuild
index d2e161b24ea..d30e21eb05f 100644
--- a/sci-libs/libgeotiff/libgeotiff-1.4.1.ebuild
+++ b/sci-libs/libgeotiff/libgeotiff-1.4.1-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=6
 
-inherit autotools eutils
+inherit autotools
 
 MY_P=${P/_rc/RC}
 
@@ -30,7 +30,7 @@ S=${WORKDIR}/${MY_P/RC*/}
 DOCS=( README ChangeLog )
 
 src_prepare() {
-       epatch_user
+       default
        sed -i \
                -e "s:-O3::g" \
                configure.ac || die
@@ -40,7 +40,7 @@ src_prepare() {
 src_configure() {
        econf \
                $(use_enable static-libs static) \
-               --enable-debug=$(use debug && echo yes || echo no) \
+               --enable-debug=$(usex debug) \
                --with-jpeg="${EPREFIX}"/usr/ \
                --with-zip="${EPREFIX}"/usr/
 
@@ -49,8 +49,8 @@ src_compile() {
        default
 
        if use doc; then
-               mkdir -p docs/api
-               cp "${FILESDIR}"/Doxyfile Doxyfile
+               mkdir -p docs/api || die
+               cp "${FILESDIR}"/Doxyfile Doxyfile || die
                doxygen -u Doxyfile || die "updating doxygen config failed"
                doxygen Doxyfile || die "docs generation failed"
        fi
@@ -60,14 +60,5 @@ src_install() {
        default
 
        use doc && dohtml docs/api/*
-       prune_libtool_files
-}
-
-pkg_postinst() {
-       echo
-       ewarn "You should rebuild any packages built against ${PN} by running:"
-       ewarn "# revdep-rebuild"
-       ewarn "or using preserved-rebuild features of portage-2.2:"
-       ewarn "# emerge @preserved-rebuild"
-       echo
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to